Download it now!
Bug 69143 - VIEWING: Negative Number on Pie Chart displayed as Postive
Summary: VIEWING: Negative Number on Pie Chart displayed as Postive
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.0.5.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-09 14:44 UTC by bugzilla
Modified: 2014-04-20 01:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example Spreadsheet showing bug (21.33 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-09-09 14:44 UTC, bugzilla
Details
Screenshot of same data in Excel 2010 (24.12 KB, image/png)
2013-09-13 10:45 UTC, bugzilla
Details
Screenshot of data in LibreOffice 3.5.4.2 (27.55 KB, image/png)
2013-09-13 10:48 UTC, bugzilla
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugzilla 2013-09-09 14:44:32 UTC
Created attachment 85497 [details]
Example Spreadsheet showing bug

Problem description: 

Steps to reproduce:
1. ....Have a set of data containing at least one negative number
2. ....Create a pie chart from the data

Current behavior:
Pie chart shows negative number as positive

Expected behavior:
Should not appear on pie chart or label showing its negative without section of pie filled in.
              
Operating System: Windows 7
Version: 4.1.0.4 release
Comment 1 m.a.riosv 2013-09-09 21:33:43 UTC
Hi ozzymon, thanks for reporting.

Verified.
Win7x64Ult.
Version 4.0.5.2 (Build ID: 5464147a081647a250913f19c0715bca595af2f)
Version: 4.1.2.0.0+ Build ID: aa9bef8271ed50a397c959ed53c91ee44b3dcb1
TinderBox: Win-x86@6-debug, Branch:libreoffice-4-1, Time: 2013-09-03_11:55:14

Change the version to 4.0.5
Comment 2 bugzilla 2013-09-13 10:44:29 UTC
Hi

I've double checked what Excel would do in this instance and it shows the negative data on the chart, but with a negative sign in front of it. I've attached a screenshot showing this.

thanks
Comment 3 bugzilla 2013-09-13 10:45:17 UTC
Created attachment 85760 [details]
Screenshot of same data in Excel 2010
Comment 4 bugzilla 2013-09-13 10:48:04 UTC
Created attachment 85761 [details]
Screenshot of data in LibreOffice 3.5.4.2

Same appears in LibreOffice 4
Comment 5 Teo91 2013-10-03 18:17:54 UTC
I can confirm this with LO 4.1.1
Comment 6 Commit Notification 2014-03-26 23:24:08 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da46a0cbcc656dea15a42d4cfc10e2058258b8cc

show negative values correctly in pie charts, fdo#69143



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 m.a.riosv 2014-04-20 01:03:20 UTC
Thanks Markus,
verified with:
Win7x64Ultimate
Version: 4.3.0.0.alpha0+ Build ID: 0ce6d9bcea7c37a7cb2c42e8393e2e20780bd171
   TinderBox: Win-x86@39, Branch:master, Time: 2014-04-17_00:11:33